<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.foreverwin.mesnac.equip.mapper.ResourceInspectPlanMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.foreverwin.mesnac.equip.model.ResourceInspectPlan">
        <id column="HANDLE" property="handle" />
        <result column="SITE" property="site" />
        <result column="PLAN_NO" property="planNo" />
        <result column="REVISION" property="revision" />
        <result column="CURRENT_REVISION" property="currentRevision" />
        <result column="PLAN_TASK_COUNT" property="planTaskCount" />
        <result column="DESCRIPTION" property="description" />
        <result column="STATUS" property="status" />
        <result column="CATEGORY" property="category" />
        <result column="SCHEDULE_TYPE" property="scheduleType" />
        <result column="FREQUENCY" property="frequency" />
        <result column="FREQUENCY_UNIT" property="frequencyUnit" />
        <result column="BEFORE_TOLERANCE" property="beforeTolerance" />
        <result column="AFTER_TOLERANCE" property="afterTolerance" />
        <result column="INDATE_START" property="indateStart" />
        <result column="INDATE_END" property="indateEnd" />
        <result column="INSPECTION_ITEM_BO" property="inspectionItemBo" />
        <result column="CREATE_USER" property="createUser" />
        <result column="CREATED_DATE_TIME" property="createdDateTime" />
        <result column="MODIFY_USER" property="modifyUser" />
        <result column="MODIFIED_DATE_TIME" property="modifiedDateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        HANDLE, SITE, PLAN_NO, REVISION, CURRENT_REVISION, PLAN_TASK_COUNT, DESCRIPTION, STATUS, CATEGORY, SCHEDULE_TYPE, FREQUENCY, FREQUENCY_UNIT, BEFORE_TOLERANCE, AFTER_TOLERANCE, INDATE_START, INDATE_END, INSPECTION_ITEM_BO, CREATE_USER, CREATED_DATE_TIME, MODIFY_USER, MODIFIED_DATE_TIME
    </sql>

    <!-- BaseMapper标准查询/修改/删除 -->
    <select id="selectById" resultMap="BaseResultMap">
        SELECT <include refid="Base_Column_List"></include> FROM Z_RESOURCE_INSPECT_PLAN WHERE HANDLE=#{handle}
    </select>

    <select id="selectByMap" resultMap="BaseResultMap">
        SELECT <include refid="Base_Column_List"></include>
        FROM Z_RESOURCE_INSPECT_PLAN
        <if test="cm!=null and !cm.isEmpty">
            <where>
                <foreach collection="cm.keys" item="k" separator="AND">
                    <if test="cm[k] != null">
                        ${k} = #{cm[${k}]}
                    </if>
                </foreach>
            </where>
        </if>
    </select>

    <select id="selectBatchIds" resultMap="BaseResultMap">
        SELECT <include refid="Base_Column_List"></include>
        FROM Z_RESOURCE_INSPECT_PLAN WHERE HANDLE IN (
        <foreach item="item" index="index" collection="coll" separator=",">#{item}
        </foreach>)
    </select>

    <select id="selectOne" resultMap="BaseResultMap">
        SELECT <include refid="Base_Column_List"></include> FROM Z_RESOURCE_INSPECT_PLAN
        <where>
            <if test="ew.entity.handle!=null">
              HANDLE=#{ew.handle}
            </if>
            <if test="ew.entity.site!=null"> AND SITE=#{ew.entity.site}</if>
            <if test="ew.entity.planNo!=null"> AND PLAN_NO=#{ew.entity.planNo}</if>
            <if test="ew.entity.revision!=null"> AND REVISION=#{ew.entity.revision}</if>
            <if test="ew.entity.currentRevision!=null"> AND CURRENT_REVISION=#{ew.entity.currentRevision}</if>
            <if test="ew.entity.planTaskCount!=null"> AND PLAN_TASK_COUNT=#{ew.entity.planTaskCount}</if>
            <if test="ew.entity.description!=null"> AND DESCRIPTION=#{ew.entity.description}</if>
            <if test="ew.entity.status!=null"> AND STATUS=#{ew.entity.status}</if>
            <if test="ew.entity.category!=null"> AND CATEGORY=#{ew.entity.category}</if>
            <if test="ew.entity.scheduleType!=null"> AND SCHEDULE_TYPE=#{ew.entity.scheduleType}</if>
            <if test="ew.entity.frequency!=null"> AND FREQUENCY=#{ew.entity.frequency}</if>
            <if test="ew.entity.frequencyUnit!=null"> AND FREQUENCY_UNIT=#{ew.entity.frequencyUnit}</if>
            <if test="ew.entity.beforeTolerance!=null"> AND BEFORE_TOLERANCE=#{ew.entity.beforeTolerance}</if>
            <if test="ew.entity.afterTolerance!=null"> AND AFTER_TOLERANCE=#{ew.entity.afterTolerance}</if>
            <if test="ew.entity.indateStart!=null"> AND INDATE_START=#{ew.entity.indateStart}</if>
            <if test="ew.entity.indateEnd!=null"> AND INDATE_END=#{ew.entity.indateEnd}</if>
            <if test="ew.entity.inspectionItemBo!=null"> AND INSPECTION_ITEM_BO=#{ew.entity.inspectionItemBo}</if>
            <if test="ew.entity.createUser!=null"> AND CREATE_USER=#{ew.entity.createUser}</if>
            <if test="ew.entity.createdDateTime!=null"> AND CREATED_DATE_TIME=#{ew.entity.createdDateTime}</if>
            <if test="ew.entity.modifyUser!=null"> AND MODIFY_USER=#{ew.entity.modifyUser}</if>
            <if test="ew.entity.modifiedDateTime!=null"> AND MODIFIED_DATE_TIME=#{ew.entity.modifiedDateTime}</if>
        </where>
    </select>

    <select id="selectCount" resultType="Integer">
        SELECT COUNT(1) FROM Z_RESOURCE_INSPECT_PLAN
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                <if test="ew.entity.handle!=null">
                    HANDLE=#{ew.entity.handle}
                </if>
                <if test="ew.entity.site!=null"> AND SITE=#{ew.entity.site}</if>
                <if test="ew.entity.planNo!=null"> AND PLAN_NO=#{ew.entity.planNo}</if>
                <if test="ew.entity.revision!=null"> AND REVISION=#{ew.entity.revision}</if>
                <if test="ew.entity.currentRevision!=null"> AND CURRENT_REVISION=#{ew.entity.currentRevision}</if>
                <if test="ew.entity.planTaskCount!=null"> AND PLAN_TASK_COUNT=#{ew.entity.planTaskCount}</if>
                <if test="ew.entity.description!=null"> AND DESCRIPTION=#{ew.entity.description}</if>
                <if test="ew.entity.status!=null"> AND STATUS=#{ew.entity.status}</if>
                <if test="ew.entity.category!=null"> AND CATEGORY=#{ew.entity.category}</if>
                <if test="ew.entity.scheduleType!=null"> AND SCHEDULE_TYPE=#{ew.entity.scheduleType}</if>
                <if test="ew.entity.frequency!=null"> AND FREQUENCY=#{ew.entity.frequency}</if>
                <if test="ew.entity.frequencyUnit!=null"> AND FREQUENCY_UNIT=#{ew.entity.frequencyUnit}</if>
                <if test="ew.entity.beforeTolerance!=null"> AND BEFORE_TOLERANCE=#{ew.entity.beforeTolerance}</if>
                <if test="ew.entity.afterTolerance!=null"> AND AFTER_TOLERANCE=#{ew.entity.afterTolerance}</if>
                <if test="ew.entity.indateStart!=null"> AND INDATE_START=#{ew.entity.indateStart}</if>
                <if test="ew.entity.indateEnd!=null"> AND INDATE_END=#{ew.entity.indateEnd}</if>
                <if test="ew.entity.inspectionItemBo!=null"> AND INSPECTION_ITEM_BO=#{ew.entity.inspectionItemBo}</if>
                <if test="ew.entity.createUser!=null"> AND CREATE_USER=#{ew.entity.createUser}</if>
                <if test="ew.entity.createdDateTime!=null"> AND CREATED_DATE_TIME=#{ew.entity.createdDateTime}</if>
                <if test="ew.entity.modifyUser!=null"> AND MODIFY_USER=#{ew.entity.modifyUser}</if>
                <if test="ew.entity.modifiedDateTime!=null"> AND MODIFIED_DATE_TIME=#{ew.entity.modifiedDateTime}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </select>

    <select id="selectList" resultMap="BaseResultMap">
        SELECT <choose><when test="ew != null and ew.sqlSelect != null">${ew.sqlSelect}</when><otherwise><include refid="Base_Column_List"></include></otherwise></choose> FROM Z_RESOURCE_INSPECT_PLAN
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    <if test="ew.entity.handle!=null">
                        HANDLE=#{ew.entity.handle}
                    </if>
                    <if test="ew.entity.site!=null"> AND SITE=#{ew.entity.site}</if>
                    <if test="ew.entity.planNo!=null"> AND PLAN_NO=#{ew.entity.planNo}</if>
                    <if test="ew.entity.revision!=null"> AND REVISION=#{ew.entity.revision}</if>
                    <if test="ew.entity.currentRevision!=null"> AND CURRENT_REVISION=#{ew.entity.currentRevision}</if>
                    <if test="ew.entity.planTaskCount!=null"> AND PLAN_TASK_COUNT=#{ew.entity.planTaskCount}</if>
                    <if test="ew.entity.description!=null"> AND DESCRIPTION=#{ew.entity.description}</if>
                    <if test="ew.entity.status!=null"> AND STATUS=#{ew.entity.status}</if>
                    <if test="ew.entity.category!=null"> AND CATEGORY=#{ew.entity.category}</if>
                    <if test="ew.entity.scheduleType!=null"> AND SCHEDULE_TYPE=#{ew.entity.scheduleType}</if>
                    <if test="ew.entity.frequency!=null"> AND FREQUENCY=#{ew.entity.frequency}</if>
                    <if test="ew.entity.frequencyUnit!=null"> AND FREQUENCY_UNIT=#{ew.entity.frequencyUnit}</if>
                    <if test="ew.entity.beforeTolerance!=null"> AND BEFORE_TOLERANCE=#{ew.entity.beforeTolerance}</if>
                    <if test="ew.entity.afterTolerance!=null"> AND AFTER_TOLERANCE=#{ew.entity.afterTolerance}</if>
                    <if test="ew.entity.indateStart!=null"> AND INDATE_START=#{ew.entity.indateStart}</if>
                    <if test="ew.entity.indateEnd!=null"> AND INDATE_END=#{ew.entity.indateEnd}</if>
                    <if test="ew.entity.inspectionItemBo!=null"> AND INSPECTION_ITEM_BO=#{ew.entity.inspectionItemBo}</if>
                    <if test="ew.entity.createUser!=null"> AND CREATE_USER=#{ew.entity.createUser}</if>
                    <if test="ew.entity.createdDateTime!=null"> AND CREATED_DATE_TIME=#{ew.entity.createdDateTime}</if>
                    <if test="ew.entity.modifyUser!=null"> AND MODIFY_USER=#{ew.entity.modifyUser}</if>
                    <if test="ew.entity.modifiedDateTime!=null"> AND MODIFIED_DATE_TIME=#{ew.entity.modifiedDateTime}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </select>

    <select id="selectMaps" resultType="HashMap">
        SELECT <choose><when test="ew != null and ew.sqlSelect != null">${ew.sqlSelect}</when><otherwise><include refid="Base_Column_List"></include></otherwise></choose> FROM Z_RESOURCE_INSPECT_PLAN
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    <if test="ew.entity.handle!=null">
                        HANDLE=#{ew.entity.handle}
                    </if>
                    <if test="ew.entity.site!=null"> AND SITE=#{ew.entity.site}</if>
                    <if test="ew.entity.planNo!=null"> AND PLAN_NO=#{ew.entity.planNo}</if>
                    <if test="ew.entity.revision!=null"> AND REVISION=#{ew.entity.revision}</if>
                    <if test="ew.entity.currentRevision!=null"> AND CURRENT_REVISION=#{ew.entity.currentRevision}</if>
                    <if test="ew.entity.planTaskCount!=null"> AND PLAN_TASK_COUNT=#{ew.entity.planTaskCount}</if>
                    <if test="ew.entity.description!=null"> AND DESCRIPTION=#{ew.entity.description}</if>
                    <if test="ew.entity.status!=null"> AND STATUS=#{ew.entity.status}</if>
                    <if test="ew.entity.category!=null"> AND CATEGORY=#{ew.entity.category}</if>
                    <if test="ew.entity.scheduleType!=null"> AND SCHEDULE_TYPE=#{ew.entity.scheduleType}</if>
                    <if test="ew.entity.frequency!=null"> AND FREQUENCY=#{ew.entity.frequency}</if>
                    <if test="ew.entity.frequencyUnit!=null"> AND FREQUENCY_UNIT=#{ew.entity.frequencyUnit}</if>
                    <if test="ew.entity.beforeTolerance!=null"> AND BEFORE_TOLERANCE=#{ew.entity.beforeTolerance}</if>
                    <if test="ew.entity.afterTolerance!=null"> AND AFTER_TOLERANCE=#{ew.entity.afterTolerance}</if>
                    <if test="ew.entity.indateStart!=null"> AND INDATE_START=#{ew.entity.indateStart}</if>
                    <if test="ew.entity.indateEnd!=null"> AND INDATE_END=#{ew.entity.indateEnd}</if>
                    <if test="ew.entity.inspectionItemBo!=null"> AND INSPECTION_ITEM_BO=#{ew.entity.inspectionItemBo}</if>
                    <if test="ew.entity.createUser!=null"> AND CREATE_USER=#{ew.entity.createUser}</if>
                    <if test="ew.entity.createdDateTime!=null"> AND CREATED_DATE_TIME=#{ew.entity.createdDateTime}</if>
                    <if test="ew.entity.modifyUser!=null"> AND MODIFY_USER=#{ew.entity.modifyUser}</if>
                    <if test="ew.entity.modifiedDateTime!=null"> AND MODIFIED_DATE_TIME=#{ew.entity.modifiedDateTime}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </select>

    <select id="selectObjs" resultType="Object">
        SELECT <choose><when test="ew != null and ew.sqlSelect != null">${ew.sqlSelect}</when><otherwise><include refid="Base_Column_List"></include></otherwise></choose> FROM Z_RESOURCE_INSPECT_PLAN
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    <if test="ew.entity.handle!=null">
                        HANDLE=#{ew.entity.handle}
                    </if>
                    <if test="ew.entity.site!=null"> AND SITE=#{ew.entity.site}</if>
                    <if test="ew.entity.planNo!=null"> AND PLAN_NO=#{ew.entity.planNo}</if>
                    <if test="ew.entity.revision!=null"> AND REVISION=#{ew.entity.revision}</if>
                    <if test="ew.entity.currentRevision!=null"> AND CURRENT_REVISION=#{ew.entity.currentRevision}</if>
                    <if test="ew.entity.planTaskCount!=null"> AND PLAN_TASK_COUNT=#{ew.entity.planTaskCount}</if>
                    <if test="ew.entity.description!=null"> AND DESCRIPTION=#{ew.entity.description}</if>
                    <if test="ew.entity.status!=null"> AND STATUS=#{ew.entity.status}</if>
                    <if test="ew.entity.category!=null"> AND CATEGORY=#{ew.entity.category}</if>
                    <if test="ew.entity.scheduleType!=null"> AND SCHEDULE_TYPE=#{ew.entity.scheduleType}</if>
                    <if test="ew.entity.frequency!=null"> AND FREQUENCY=#{ew.entity.frequency}</if>
                    <if test="ew.entity.frequencyUnit!=null"> AND FREQUENCY_UNIT=#{ew.entity.frequencyUnit}</if>
                    <if test="ew.entity.beforeTolerance!=null"> AND BEFORE_TOLERANCE=#{ew.entity.beforeTolerance}</if>
                    <if test="ew.entity.afterTolerance!=null"> AND AFTER_TOLERANCE=#{ew.entity.afterTolerance}</if>
                    <if test="ew.entity.indateStart!=null"> AND INDATE_START=#{ew.entity.indateStart}</if>
                    <if test="ew.entity.indateEnd!=null"> AND INDATE_END=#{ew.entity.indateEnd}</if>
                    <if test="ew.entity.inspectionItemBo!=null"> AND INSPECTION_ITEM_BO=#{ew.entity.inspectionItemBo}</if>
                    <if test="ew.entity.createUser!=null"> AND CREATE_USER=#{ew.entity.createUser}</if>
                    <if test="ew.entity.createdDateTime!=null"> AND CREATED_DATE_TIME=#{ew.entity.createdDateTime}</if>
                    <if test="ew.entity.modifyUser!=null"> AND MODIFY_USER=#{ew.entity.modifyUser}</if>
                    <if test="ew.entity.modifiedDateTime!=null"> AND MODIFIED_DATE_TIME=#{ew.entity.modifiedDateTime}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </select>

    <select id="selectPage" resultMap="BaseResultMap">
        SELECT <choose><when test="ew != null and ew.sqlSelect != null">${ew.sqlSelect}</when><otherwise><include refid="Base_Column_List"></include></otherwise></choose> FROM Z_RESOURCE_INSPECT_PLAN
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    <if test="ew.entity.handle!=null">
                        HANDLE=#{ew.entity.handle}
                    </if>
                    <if test="ew.entity.site!=null"> AND SITE=#{ew.entity.site}</if>
                    <if test="ew.entity.planNo!=null"> AND PLAN_NO=#{ew.entity.planNo}</if>
                    <if test="ew.entity.revision!=null"> AND REVISION=#{ew.entity.revision}</if>
                    <if test="ew.entity.currentRevision!=null"> AND CURRENT_REVISION=#{ew.entity.currentRevision}</if>
                    <if test="ew.entity.planTaskCount!=null"> AND PLAN_TASK_COUNT=#{ew.entity.planTaskCount}</if>
                    <if test="ew.entity.description!=null"> AND DESCRIPTION=#{ew.entity.description}</if>
                    <if test="ew.entity.status!=null"> AND STATUS=#{ew.entity.status}</if>
                    <if test="ew.entity.category!=null"> AND CATEGORY=#{ew.entity.category}</if>
                    <if test="ew.entity.scheduleType!=null"> AND SCHEDULE_TYPE=#{ew.entity.scheduleType}</if>
                    <if test="ew.entity.frequency!=null"> AND FREQUENCY=#{ew.entity.frequency}</if>
                    <if test="ew.entity.frequencyUnit!=null"> AND FREQUENCY_UNIT=#{ew.entity.frequencyUnit}</if>
                    <if test="ew.entity.beforeTolerance!=null"> AND BEFORE_TOLERANCE=#{ew.entity.beforeTolerance}</if>
                    <if test="ew.entity.afterTolerance!=null"> AND AFTER_TOLERANCE=#{ew.entity.afterTolerance}</if>
                    <if test="ew.entity.indateStart!=null"> AND INDATE_START=#{ew.entity.indateStart}</if>
                    <if test="ew.entity.indateEnd!=null"> AND INDATE_END=#{ew.entity.indateEnd}</if>
                    <if test="ew.entity.inspectionItemBo!=null"> AND INSPECTION_ITEM_BO=#{ew.entity.inspectionItemBo}</if>
                    <if test="ew.entity.createUser!=null"> AND CREATE_USER=#{ew.entity.createUser}</if>
                    <if test="ew.entity.createdDateTime!=null"> AND CREATED_DATE_TIME=#{ew.entity.createdDateTime}</if>
                    <if test="ew.entity.modifyUser!=null"> AND MODIFY_USER=#{ew.entity.modifyUser}</if>
                    <if test="ew.entity.modifiedDateTime!=null"> AND MODIFIED_DATE_TIME=#{ew.entity.modifiedDateTime}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </select>

    <select id="selectMapsPage" resultType="HashMap">
        SELECT <choose><when test="ew != null and ew.sqlSelect != null">${ew.sqlSelect}</when><otherwise><include refid="Base_Column_List"></include></otherwise></choose> FROM Z_RESOURCE_INSPECT_PLAN
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    <if test="ew.entity.handle!=null">
                        HANDLE=#{ew.entity.handle}
                    </if>
                    <if test="ew.entity.site!=null"> AND SITE=#{ew.entity.site}</if>
                    <if test="ew.entity.planNo!=null"> AND PLAN_NO=#{ew.entity.planNo}</if>
                    <if test="ew.entity.revision!=null"> AND REVISION=#{ew.entity.revision}</if>
                    <if test="ew.entity.currentRevision!=null"> AND CURRENT_REVISION=#{ew.entity.currentRevision}</if>
                    <if test="ew.entity.planTaskCount!=null"> AND PLAN_TASK_COUNT=#{ew.entity.planTaskCount}</if>
                    <if test="ew.entity.description!=null"> AND DESCRIPTION=#{ew.entity.description}</if>
                    <if test="ew.entity.status!=null"> AND STATUS=#{ew.entity.status}</if>
                    <if test="ew.entity.category!=null"> AND CATEGORY=#{ew.entity.category}</if>
                    <if test="ew.entity.scheduleType!=null"> AND SCHEDULE_TYPE=#{ew.entity.scheduleType}</if>
                    <if test="ew.entity.frequency!=null"> AND FREQUENCY=#{ew.entity.frequency}</if>
                    <if test="ew.entity.frequencyUnit!=null"> AND FREQUENCY_UNIT=#{ew.entity.frequencyUnit}</if>
                    <if test="ew.entity.beforeTolerance!=null"> AND BEFORE_TOLERANCE=#{ew.entity.beforeTolerance}</if>
                    <if test="ew.entity.afterTolerance!=null"> AND AFTER_TOLERANCE=#{ew.entity.afterTolerance}</if>
                    <if test="ew.entity.indateStart!=null"> AND INDATE_START=#{ew.entity.indateStart}</if>
                    <if test="ew.entity.indateEnd!=null"> AND INDATE_END=#{ew.entity.indateEnd}</if>
                    <if test="ew.entity.inspectionItemBo!=null"> AND INSPECTION_ITEM_BO=#{ew.entity.inspectionItemBo}</if>
                    <if test="ew.entity.createUser!=null"> AND CREATE_USER=#{ew.entity.createUser}</if>
                    <if test="ew.entity.createdDateTime!=null"> AND CREATED_DATE_TIME=#{ew.entity.createdDateTime}</if>
                    <if test="ew.entity.modifyUser!=null"> AND MODIFY_USER=#{ew.entity.modifyUser}</if>
                    <if test="ew.entity.modifiedDateTime!=null"> AND MODIFIED_DATE_TIME=#{ew.entity.modifiedDateTime}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </select>

    <insert id="insert" parameterType="com.foreverwin.mesnac.equip.model.ResourceInspectPlan">
        INSERT INTO Z_RESOURCE_INSPECT_PLAN
        <trim prefix="(" suffix=")" suffixOverrides=",">
            HANDLE,
            <if test="site!=null">SITE,</if>
            <if test="planNo!=null">PLAN_NO,</if>
            <if test="revision!=null">REVISION,</if>
            <if test="currentRevision!=null">CURRENT_REVISION,</if>
            <if test="planTaskCount!=null">PLAN_TASK_COUNT,</if>
            <if test="description!=null">DESCRIPTION,</if>
            <if test="status!=null">STATUS,</if>
            <if test="category!=null">CATEGORY,</if>
            <if test="scheduleType!=null">SCHEDULE_TYPE,</if>
            <if test="frequency!=null">FREQUENCY,</if>
            <if test="frequencyUnit!=null">FREQUENCY_UNIT,</if>
            <if test="beforeTolerance!=null">BEFORE_TOLERANCE,</if>
            <if test="afterTolerance!=null">AFTER_TOLERANCE,</if>
            <if test="indateStart!=null">INDATE_START,</if>
            <if test="indateEnd!=null">INDATE_END,</if>
            <if test="inspectionItemBo!=null">INSPECTION_ITEM_BO,</if>
            <if test="createUser!=null">CREATE_USER,</if>
            <if test="createdDateTime!=null">CREATED_DATE_TIME,</if>
            <if test="modifyUser!=null">MODIFY_USER,</if>
            <if test="modifiedDateTime!=null">MODIFIED_DATE_TIME,</if>
        </trim> VALUES
        <trim prefix="(" suffix=")" suffixOverrides=",">
            #{handle},
            <if test="site!=null">#{site},</if>
            <if test="planNo!=null">#{planNo},</if>
            <if test="revision!=null">#{revision},</if>
            <if test="currentRevision!=null">#{currentRevision},</if>
            <if test="planTaskCount!=null">#{planTaskCount},</if>
            <if test="description!=null">#{description},</if>
            <if test="status!=null">#{status},</if>
            <if test="category!=null">#{category},</if>
            <if test="scheduleType!=null">#{scheduleType},</if>
            <if test="frequency!=null">#{frequency},</if>
            <if test="frequencyUnit!=null">#{frequencyUnit},</if>
            <if test="beforeTolerance!=null">#{beforeTolerance},</if>
            <if test="afterTolerance!=null">#{afterTolerance},</if>
            <if test="indateStart!=null">#{indateStart},</if>
            <if test="indateEnd!=null">#{indateEnd},</if>
            <if test="inspectionItemBo!=null">#{inspectionItemBo},</if>
            <if test="createUser!=null">#{createUser},</if>
            <if test="createdDateTime!=null">#{createdDateTime},</if>
            <if test="modifyUser!=null">#{modifyUser},</if>
            <if test="modifiedDateTime!=null">#{modifiedDateTime},</if>
        </trim>
    </insert>

    <insert id="insertAllColumn" parameterType="com.foreverwin.mesnac.equip.model.ResourceInspectPlan">
        INSERT INTO Z_RESOURCE_INSPECT_PLAN
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <include refid="Base_Column_List"></include>
        </trim> VALUES
        <trim prefix="(" suffix=")" suffixOverrides=",">
            #{handle},
            #{site},
            #{planNo},
            #{revision},
            #{currentRevision},
            #{planTaskCount},
            #{description},
            #{status},
            #{category},
            #{scheduleType},
            #{frequency},
            #{frequencyUnit},
            #{beforeTolerance},
            #{afterTolerance},
            #{indateStart},
            #{indateEnd},
            #{inspectionItemBo},
            #{createUser},
            #{createdDateTime},
            #{modifyUser},
            #{modifiedDateTime},
        </trim>
    </insert>


    <update id="updateById">
        UPDATE Z_RESOURCE_INSPECT_PLAN <trim prefix="SET" suffixOverrides=",">
        <if test="et.site!=null">SITE=#{et.site},</if>
        <if test="et.planNo!=null">PLAN_NO=#{et.planNo},</if>
        <if test="et.revision!=null">REVISION=#{et.revision},</if>
        <if test="et.currentRevision!=null">CURRENT_REVISION=#{et.currentRevision},</if>
        <if test="et.planTaskCount!=null">PLAN_TASK_COUNT=#{et.planTaskCount},</if>
        <if test="et.description!=null">DESCRIPTION=#{et.description},</if>
        <if test="et.status!=null">STATUS=#{et.status},</if>
        <if test="et.category!=null">CATEGORY=#{et.category},</if>
        <if test="et.scheduleType!=null">SCHEDULE_TYPE=#{et.scheduleType},</if>
        <if test="et.frequency!=null">FREQUENCY=#{et.frequency},</if>
        <if test="et.frequencyUnit!=null">FREQUENCY_UNIT=#{et.frequencyUnit},</if>
        <if test="et.beforeTolerance!=null">BEFORE_TOLERANCE=#{et.beforeTolerance},</if>
        <if test="et.afterTolerance!=null">AFTER_TOLERANCE=#{et.afterTolerance},</if>
        <if test="et.indateStart!=null">INDATE_START=#{et.indateStart},</if>
        <if test="et.indateEnd!=null">INDATE_END=#{et.indateEnd},</if>
        <if test="et.inspectionItemBo!=null">INSPECTION_ITEM_BO=#{et.inspectionItemBo},</if>
        <if test="et.createUser!=null">CREATE_USER=#{et.createUser},</if>
        <if test="et.createdDateTime!=null">CREATED_DATE_TIME=#{et.createdDateTime},</if>
        <if test="et.modifyUser!=null">MODIFY_USER=#{et.modifyUser},</if>
        <if test="et.modifiedDateTime!=null">MODIFIED_DATE_TIME=#{et.modifiedDateTime},</if>
        </trim> WHERE HANDLE=#{et.handle} <if test="et instanceof java.util.Map"><if test="et.MP_OPTLOCK_VERSION_ORIGINAL!=null">and ${et.MP_OPTLOCK_VERSION_COLUMN}=#{et.MP_OPTLOCK_VERSION_ORIGINAL}</if></if>
    </update>


    <update id="updateAllColumnById">
        UPDATE Z_RESOURCE_INSPECT_PLAN <trim prefix="SET" suffixOverrides=",">
        SITE=#{et.site},
        PLAN_NO=#{et.planNo},
        REVISION=#{et.revision},
        CURRENT_REVISION=#{et.currentRevision},
        PLAN_TASK_COUNT=#{et.planTaskCount},
        DESCRIPTION=#{et.description},
        STATUS=#{et.status},
        CATEGORY=#{et.category},
        SCHEDULE_TYPE=#{et.scheduleType},
        FREQUENCY=#{et.frequency},
        FREQUENCY_UNIT=#{et.frequencyUnit},
        BEFORE_TOLERANCE=#{et.beforeTolerance},
        AFTER_TOLERANCE=#{et.afterTolerance},
        INDATE_START=#{et.indateStart},
        INDATE_END=#{et.indateEnd},
        INSPECTION_ITEM_BO=#{et.inspectionItemBo},
        CREATE_USER=#{et.createUser},
        CREATED_DATE_TIME=#{et.createdDateTime},
        MODIFY_USER=#{et.modifyUser},
        MODIFIED_DATE_TIME=#{et.modifiedDateTime},
     </trim> WHERE HANDLE=#{et.handle} <if test="et instanceof java.util.Map"><if test="et.MP_OPTLOCK_VERSION_ORIGINAL!=null">and ${et.MP_OPTLOCK_VERSION_COLUMN}=#{et.MP_OPTLOCK_VERSION_ORIGINAL}</if></if>
    </update>


    <update id="update">
        UPDATE Z_RESOURCE_INSPECT_PLAN <trim prefix="SET" suffixOverrides=",">
        <if test="et.site!=null">SITE=#{et.site},</if>
        <if test="et.planNo!=null">PLAN_NO=#{et.planNo},</if>
        <if test="et.revision!=null">REVISION=#{et.revision},</if>
        <if test="et.currentRevision!=null">CURRENT_REVISION=#{et.currentRevision},</if>
        <if test="et.planTaskCount!=null">PLAN_TASK_COUNT=#{et.planTaskCount},</if>
        <if test="et.description!=null">DESCRIPTION=#{et.description},</if>
        <if test="et.status!=null">STATUS=#{et.status},</if>
        <if test="et.category!=null">CATEGORY=#{et.category},</if>
        <if test="et.scheduleType!=null">SCHEDULE_TYPE=#{et.scheduleType},</if>
        <if test="et.frequency!=null">FREQUENCY=#{et.frequency},</if>
        <if test="et.frequencyUnit!=null">FREQUENCY_UNIT=#{et.frequencyUnit},</if>
        <if test="et.beforeTolerance!=null">BEFORE_TOLERANCE=#{et.beforeTolerance},</if>
        <if test="et.afterTolerance!=null">AFTER_TOLERANCE=#{et.afterTolerance},</if>
        <if test="et.indateStart!=null">INDATE_START=#{et.indateStart},</if>
        <if test="et.indateEnd!=null">INDATE_END=#{et.indateEnd},</if>
        <if test="et.inspectionItemBo!=null">INSPECTION_ITEM_BO=#{et.inspectionItemBo},</if>
        <if test="et.createUser!=null">CREATE_USER=#{et.createUser},</if>
        <if test="et.createdDateTime!=null">CREATED_DATE_TIME=#{et.createdDateTime},</if>
        <if test="et.modifyUser!=null">MODIFY_USER=#{et.modifyUser},</if>
        <if test="et.modifiedDateTime!=null">MODIFIED_DATE_TIME=#{et.modifiedDateTime},</if>
    </trim>
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    HANDLE=#{ew.entity.handle}
                    <if test="ew.entity.site!=null"> AND SITE=#{ew.entity.site}</if>
                    <if test="ew.entity.planNo!=null"> AND PLAN_NO=#{ew.entity.planNo}</if>
                    <if test="ew.entity.revision!=null"> AND REVISION=#{ew.entity.revision}</if>
                    <if test="ew.entity.currentRevision!=null"> AND CURRENT_REVISION=#{ew.entity.currentRevision}</if>
                    <if test="ew.entity.planTaskCount!=null"> AND PLAN_TASK_COUNT=#{ew.entity.planTaskCount}</if>
                    <if test="ew.entity.description!=null"> AND DESCRIPTION=#{ew.entity.description}</if>
                    <if test="ew.entity.status!=null"> AND STATUS=#{ew.entity.status}</if>
                    <if test="ew.entity.category!=null"> AND CATEGORY=#{ew.entity.category}</if>
                    <if test="ew.entity.scheduleType!=null"> AND SCHEDULE_TYPE=#{ew.entity.scheduleType}</if>
                    <if test="ew.entity.frequency!=null"> AND FREQUENCY=#{ew.entity.frequency}</if>
                    <if test="ew.entity.frequencyUnit!=null"> AND FREQUENCY_UNIT=#{ew.entity.frequencyUnit}</if>
                    <if test="ew.entity.beforeTolerance!=null"> AND BEFORE_TOLERANCE=#{ew.entity.beforeTolerance}</if>
                    <if test="ew.entity.afterTolerance!=null"> AND AFTER_TOLERANCE=#{ew.entity.afterTolerance}</if>
                    <if test="ew.entity.indateStart!=null"> AND INDATE_START=#{ew.entity.indateStart}</if>
                    <if test="ew.entity.indateEnd!=null"> AND INDATE_END=#{ew.entity.indateEnd}</if>
                    <if test="ew.entity.inspectionItemBo!=null"> AND INSPECTION_ITEM_BO=#{ew.entity.inspectionItemBo}</if>
                    <if test="ew.entity.createUser!=null"> AND CREATE_USER=#{ew.entity.createUser}</if>
                    <if test="ew.entity.createdDateTime!=null"> AND CREATED_DATE_TIME=#{ew.entity.createdDateTime}</if>
                    <if test="ew.entity.modifyUser!=null"> AND MODIFY_USER=#{ew.entity.modifyUser}</if>
                    <if test="ew.entity.modifiedDateTime!=null"> AND MODIFIED_DATE_TIME=#{ew.entity.modifiedDateTime}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </update>

    <delete id="deleteById">
        DELETE FROM Z_RESOURCE_INSPECT_PLAN WHERE HANDLE=#{handle}
    </delete>

    <delete id="deleteByMap">
        DELETE FROM Z_RESOURCE_INSPECT_PLAN
        <if test="cm!=null and !cm.isEmpty">
            <where>
                <foreach collection="cm.keys" item="k" separator="AND">
                    <if test="cm[k] != null">
                        ${k} = #{cm[${k}]}
                    </if>
                </foreach>
            </where>
        </if>
    </delete>

    <delete id="delete">
        DELETE FROM Z_RESOURCE_INSPECT_PLAN
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    <if test="ew.entity.handle!=null">
                        HANDLE=#{ew.entity.handle}
                    </if>
                    <if test="ew.entity.site!=null"> AND SITE=#{ew.entity.site}</if>
                    <if test="ew.entity.planNo!=null"> AND PLAN_NO=#{ew.entity.planNo}</if>
                    <if test="ew.entity.revision!=null"> AND REVISION=#{ew.entity.revision}</if>
                    <if test="ew.entity.currentRevision!=null"> AND CURRENT_REVISION=#{ew.entity.currentRevision}</if>
                    <if test="ew.entity.planTaskCount!=null"> AND PLAN_TASK_COUNT=#{ew.entity.planTaskCount}</if>
                    <if test="ew.entity.description!=null"> AND DESCRIPTION=#{ew.entity.description}</if>
                    <if test="ew.entity.status!=null"> AND STATUS=#{ew.entity.status}</if>
                    <if test="ew.entity.category!=null"> AND CATEGORY=#{ew.entity.category}</if>
                    <if test="ew.entity.scheduleType!=null"> AND SCHEDULE_TYPE=#{ew.entity.scheduleType}</if>
                    <if test="ew.entity.frequency!=null"> AND FREQUENCY=#{ew.entity.frequency}</if>
                    <if test="ew.entity.frequencyUnit!=null"> AND FREQUENCY_UNIT=#{ew.entity.frequencyUnit}</if>
                    <if test="ew.entity.beforeTolerance!=null"> AND BEFORE_TOLERANCE=#{ew.entity.beforeTolerance}</if>
                    <if test="ew.entity.afterTolerance!=null"> AND AFTER_TOLERANCE=#{ew.entity.afterTolerance}</if>
                    <if test="ew.entity.indateStart!=null"> AND INDATE_START=#{ew.entity.indateStart}</if>
                    <if test="ew.entity.indateEnd!=null"> AND INDATE_END=#{ew.entity.indateEnd}</if>
                    <if test="ew.entity.inspectionItemBo!=null"> AND INSPECTION_ITEM_BO=#{ew.entity.inspectionItemBo}</if>
                    <if test="ew.entity.createUser!=null"> AND CREATE_USER=#{ew.entity.createUser}</if>
                    <if test="ew.entity.createdDateTime!=null"> AND CREATED_DATE_TIME=#{ew.entity.createdDateTime}</if>
                    <if test="ew.entity.modifyUser!=null"> AND MODIFY_USER=#{ew.entity.modifyUser}</if>
                    <if test="ew.entity.modifiedDateTime!=null"> AND MODIFIED_DATE_TIME=#{ew.entity.modifiedDateTime}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </delete>

    <delete id="deleteBatchIds">
        DELETE FROM Z_RESOURCE_INSPECT_PLAN WHERE HANDLE IN (
        <foreach item="item" index="index" collection="coll" separator=",">#{item}
        </foreach>)
    </delete>
    <!-- BaseMapper标准查询/修改/删除 -->

</mapper>
